/*
 * app.c
 *
 *  Created on: 2025年5月18日
 *      Author: chenm
 * Description: app调用logic相关模块进行初始化
 */
#include "cola_init.h"
#include "shell_port.h"
#include "fml_flash.h"
#include "fml_master_iic.h"
#include "fml_gpio.h"
#include "fml_adc.h"

extern void logic_power_init(void);
extern void logic_parse_init(void);
extern void logic_bist_init(void);
extern void logic_diagnose_init(void);

void app_init(void)
{
	fml_shell_init();
	fml_flash_init();
	fml_master_init();
	//fml_ds90ub948_open();
	//fml_touch_init();
	fml_gpio_init();
	fml_adc_init();
	logic_power_init();
	//test_mode_open();
	logic_parse_init();
	logic_bist_init();
	//fml_touch_read_version_info();
	logic_diagnose_init();
}
app_initcall(app_init);
